# Class Flame

#### Hierarchy

- Group
  - Flame

- Defined in lib/vfx/frame/frame.ts:13

##### Index

### Constructors

constructor

### Properties

needsRender

### Accessors

color1
color2
fragmentationDegree
noise
opacity
speed

### Methods

setTime

## Constructors

### constructor

- new Flame(geometry?: BufferGeometry | "circle" | "ring"): Flame

  #### Parameters

  - `Optional` geometry: BufferGeometry | "circle" | "ring"

  #### Returns Flame

  Overrides THREE.Group.constructor

  - Defined in lib/vfx/frame/frame.ts:21

## Properties

### needsRender

needsRender: boolean

- Defined in lib/vfx/frame/frame.ts:15

## Accessors

### color1

- get color1(): Color

  #### Returns Color

  - Defined in lib/vfx/frame/frame.ts:97
- set color1(value: Color): void

  #### Parameters

  - value: Color

  #### Returns void

  - Defined in lib/vfx/frame/frame.ts:93

### color2

- get color2(): Color

  #### Returns Color

  - Defined in lib/vfx/frame/frame.ts:104
- set color2(value: Color): void

  #### Parameters

  - value: Color

  #### Returns void

  - Defined in lib/vfx/frame/frame.ts:100

### fragmentationDegree

- get fragmentationDegree(): number

  #### Returns number

  - Defined in lib/vfx/frame/frame.ts:136
- set fragmentationDegree(value: number): void

  #### Parameters

  - value: number

  #### Returns void

  - Defined in lib/vfx/frame/frame.ts:127

### noise

- get noise(): number

  #### Returns number

  - Defined in lib/vfx/frame/frame.ts:117
- set noise(value: number): void

  #### Parameters

  - value: number

  #### Returns void

  - Defined in lib/vfx/frame/frame.ts:113

### opacity

- get opacity(): number

  #### Returns number

  - Defined in lib/vfx/frame/frame.ts:124
- set opacity(value: number): void

  #### Parameters

  - value: number

  #### Returns void

  - Defined in lib/vfx/frame/frame.ts:120

### speed

- get speed(): number

  #### Returns number

  - Defined in lib/vfx/frame/frame.ts:110
- set speed(value: number): void

  #### Parameters

  - value: number

  #### Returns void

  - Defined in lib/vfx/frame/frame.ts:107

## Methods

### setTime

- setTime(time: number): void

  #### Parameters

  - time: number

  #### Returns void

  - Defined in lib/vfx/frame/frame.ts:86